local map = vim.keymap.set
local dap = require("dap")

map("n", "<C-left>", "<C-o>", { desc = "LSP Back" })
map("n", "<C-right>", "<C-i>", { desc = "LSP Forward" })

map("v", "<C-c>", '"+y', { desc = "Copy selected" })
map({ "i", "n" }, "<C-v>", '"+p', { desc = "Past" })

-- neo-tree
map("n", "<leader>e", ":Neotree<CR>", { desc = "nvimtree focus window" })
map("n", "<leader>g", ":Neotree git_status float<CR>", { desc = "open gis status" })

-- telescope
map("n", "<leader>ff", ":Telescope live_grep<CR>", { desc = "telescope live grep" })
map("n", "<leader>r", ":Telescope lsp_references<CR>", { desc = "telescope lsp references" })

-- barbar
map("n", "<tab>", ":BufferNext<CR>", { desc = "Next tab" })
map("n", "<S-tab>", ":BufferPrevious<CR>", { desc = "Previous tab" })

-- dap
map("n", "<leader>bb", dap.toggle_breakpoint, { desc = "Toggle breakpoint" })

-- menu
local menu = require("menu")

map("n", "<A-CR>", function()
	local ft = vim.bo.ft
	if ft ~= "neo-tree" then
		menu.open(require("config.menu"), { border = true })
	end
end)
