local fn = vim.fn

return {
	"rcarriga/nvim-dap-ui",
	dependencies = {
		"mfussenegger/nvim-dap",
		"nvim-neotest/nvim-nio",
		"leoluz/nvim-dap-go",
	},
	config = function()
		local dap, dapui = require("dap"), require("dapui")

		dap.listeners.before.attach.dapui_config = function()
			dapui.open()
		end
		dap.listeners.before.launch.dapui_config = function()
			dapui.open()
		end
		dap.listeners.before.event_terminated.dapui_config = function()
			dapui.close()
		end
		dap.listeners.before.event_exited.dapui_config = function()
			dapui.close()
		end

		fn.sign_define("DapBreakpoint", { text = "", texthl = "red", linehl = "", numhl = "" })

		require("dapui").setup()
		require("dap-go").setup()

		--require("dap-go").setup({
		--		dap_configurations = {
		--			{
		--				type = "go",
		--				name = "Debug (Build Flags)",
		--				request = "launch",
		--				program = "${file}",
		--				buildFlags = require("dap-go").get_build_flags,
		--			},
		--		},
		--	})
	end,
}
