local fn = vim.fn

return {
	"nvim-neo-tree/neo-tree.nvim",
	branch = "v3.x",
	dependencies = {
		"nvim-lua/plenary.nvim",
		"nvim-tree/nvim-web-devicons", -- not strictly required, but recommended
		"MunifTanjim/nui.nvim",
		-- "3rd/image.nvim", -- Optional image support in preview window: See `# Preview Mode` for more information
	},
	config = function()
		fn.sign_define("DiagnosticSignError", { text = " ", texthl = "DiagnosticSignError" })
		fn.sign_define("DiagnosticSignWarn", { text = " ", texthl = "DiagnosticSignWarn" })
		fn.sign_define("DiagnosticSignInfo", { text = " ", texthl = "DiagnosticSignInfo" })
		fn.sign_define("DiagnosticSignHint", { text = " ", texthl = "DiagnosticSignHint" })

		require("neo-tree").setup({
			default_component_configs = {
				modified = {
					symbol = "",
					highlight = "NeoTreeModified",
				},
			},
		})
	end,
}
